Zernio
APIFor you
Zernio
APIFor you
API Reference

Treasury

List payeesGETList top-upsGETList transfersGETCreate a payee onboarding linkPOSTCreate a top-upPOSTCreate a transferPOSTGet balanceGETGet a payout batchGETGet a top-up receiptGETGet a transferGETCancel an unpaid payout batchPOST
Dashboard
OverviewPlatformsAPI ReferenceResources
Treasury

List top-ups


GET
/v1/balance/top-ups

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
skip?integer
Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.treasury.listTopups();console.log(data);
{  "topups": [    {      "id": "string",      "method": "card",      "purpose": "balance",      "payoutBatch": {        "id": "string",        "campaignId": "string"      },      "feeCoveredByZernio": true,      "amountCents": 0,      "stripeFeeCents": 0,      "netCents": 0,      "status": "pending",      "createdAt": "2019-08-24T14:15:22Z",      "succeededAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List payees

Payees you can transfer to. A payee can receive transfers once `payoutsEnabled` is true. A profile-scoped key answers 403.

List transfers

Next Page